Bug 92772 - Missing shape color (PPT)
Summary: Missing shape color (PPT)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.1.0 target:5.0.1 target:5.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-07-15 18:24 UTC by Ofir
Modified: 2018-11-15 19:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
PPT with missing shape color (120.50 KB, application/vnd.ms-powerpoint)
2015-07-15 18:24 UTC, Ofir
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ofir 2015-07-15 18:24:06 UTC
Created attachment 117264 [details]
PPT with missing shape color

The shape blue color is missing when the attached PPT is imported to LibreOffice 5.1 alpha.
Seems to be a regression because it is working in LibreOffice 4.4.4.3.
Comment 1 raal 2015-07-15 18:41:38 UTC
I can confirm with Version: 5.1.0.0.alpha1+
Build ID: 9be553f4c61f220ebbe212dc76cb9cce4ae1c106
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-07-13_22:45:19
Comment 2 Michael Weghorn 2015-07-15 21:07:39 UTC
(bi)bisect result (using bibisect-50max repository):

bd75e8ab8c0ffeace91535df86dc812022ae09af is the first bad commit
commit bd75e8ab8c0ffeace91535df86dc812022ae09af
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Wed May 27 18:48:31 2015 +0800

    source-hash-dcad3ac445980740b6a39761cdd1f1bd0b3e6e34
    
    commit dcad3ac445980740b6a39761cdd1f1bd0b3e6e34
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Mon Feb 2 10:05:04 2015 +0000
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Mon Feb 2 10:57:19 2015 +0000
    
        coverity#1242624 Untrusted loop bound
    
        Change-Id: Idf52c09828c2bab767e9ff0d07b61befd6bfc64b

:040000 040000 826c7083e2b9cec44768660729d3ae3b577f2524 5ff99c37adaf22067e1f7e9948379e44c1b0a068 M	opt

---

$ git bisect log
# bad: [dda106fd616b7c0b8dc2370f6f1184501b01a49e] source-hash-0db96caf0fcce09b87621c11b584a6d81cc7df86
# good: [5b9dd620df316345477f0b6e6c9ed8ada7b6c091] source-hash-2851ce5afd0f37764cbbc2c2a9a63c7adc844311
git bisect start 'latest' 'oldest'
# bad: [0c30a2c797b249d0cd804cb71554946e2276b557] source-hash-45aaec8206182c16025cbcb20651ddbdf558b95d
git bisect bad 0c30a2c797b249d0cd804cb71554946e2276b557
# good: [770ff0d1a74d2450c2decb349b62c5087e12c46b] source-hash-549b7fad48bb9ddcba7dfa92daea6ce917853a03
git bisect good 770ff0d1a74d2450c2decb349b62c5087e12c46b
# good: [259e888083cf7697956bb7e5f2691e8153eadb4c] source-hash-1884c0bbd40f0ded41d7a1656cb64fb1f6368c36
git bisect good 259e888083cf7697956bb7e5f2691e8153eadb4c
# bad: [9437d9bf5fba681c9641f93293a045d2ada18e51] source-hash-2fd534ab9079a5cfe0b03381ef789629f0bf149e
git bisect bad 9437d9bf5fba681c9641f93293a045d2ada18e51
# bad: [ae1781ec18210e7bae11819770b2f95390f7094f] source-hash-ebf98688efab6dbfb0111e40cb18a7a9d1012ac9
git bisect bad ae1781ec18210e7bae11819770b2f95390f7094f
# skip: [1bb74b7a7f94442932e738611f03301c52054f00] source-hash-a9b3215aeaa101d7fe16c14ce64ca4f5ca89b7e6
git bisect skip 1bb74b7a7f94442932e738611f03301c52054f00
# bad: [368d633e5e0f4a089b95be38f1d9f8552e395647] source-hash-3e8a695b588eff13155f8dd1f7c4afaba7954d0f
git bisect bad 368d633e5e0f4a089b95be38f1d9f8552e395647
# bad: [3142b60a66d4678a4c750c431d5ef98bf8e0827d] source-hash-c33c309f13dee335d81eb0e00363d4ae2d7c911a
git bisect bad 3142b60a66d4678a4c750c431d5ef98bf8e0827d
# good: [33c721eb50efde139ec6fbdb46ae8441e6381a62] source-hash-eaf1c5f85bcf33fbb7e0ad0d6de4b33ae07445ae
git bisect good 33c721eb50efde139ec6fbdb46ae8441e6381a62
# good: [8ca3165647a09c4c06728a934fc7b8f1833d73c7] source-hash-1845b6af3991ca5521eef48aafe1d0489e2ff8f6
git bisect good 8ca3165647a09c4c06728a934fc7b8f1833d73c7
# good: [8ce888259a8c091253e0d17091056d4f3aa92004] source-hash-71b87e381bc8cbab588cf4194c2b290b0531d5b4
git bisect good 8ce888259a8c091253e0d17091056d4f3aa92004
# bad: [2330c27949cd6f7eb4d2d24a19f1fba307b333ab] source-hash-1caa8a72a63b35728abbbe006c3f18dc50d1b7cd
git bisect bad 2330c27949cd6f7eb4d2d24a19f1fba307b333ab
# bad: [1283a0d077c61ffe6b5c328a2b609825616a3d08] source-hash-28236bed527b7ceb68d3c8260ea89ee9cddbf3dc
git bisect bad 1283a0d077c61ffe6b5c328a2b609825616a3d08
# bad: [bd75e8ab8c0ffeace91535df86dc812022ae09af] source-hash-dcad3ac445980740b6a39761cdd1f1bd0b3e6e34
git bisect bad bd75e8ab8c0ffeace91535df86dc812022ae09af
# first bad commit: [bd75e8ab8c0ffeace91535df86dc812022ae09af] source-hash-dcad3ac445980740b6a39761cdd1f1bd0b3e6e34
Comment 3 Michael Weghorn 2015-07-15 21:09:01 UTC
Caolán, could you possibly have a look at this?
Comment 4 Caolán McNamara 2015-07-16 13:53:17 UTC
interesting, the number there is nothing like 4 but we read 4 bytes in the original version and all is well in the output so its a clear regression alright
Comment 5 Commit Notification 2015-07-16 16:13:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b3cd47bd562f98ec5fcff1a9d7609353506b5083

Resolves: tdf#92772 missing shape bg color

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-07-17 12:27:01 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cc51edd792359b78fc55260506ce087ade3dc2fa&h=libreoffice-5-0

Resolves: tdf#92772 missing shape bg color

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-07-20 11:39:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a6e55601f0eaae1bf9f006da3f19d1c8282e7db&h=libreoffice-5-0-0

Resolves: tdf#92772 missing shape bg color

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-17 09:25:52 UTC Comment hidden (obsolete)